> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dbt configuration

> <Note>
  **Connection Admin** permissions are required to use this endpoint.
</Note>

Retrieves the dbt configuration for the specified connection.




## OpenAPI

````yaml /api/openapi.yaml get /v1/connections/{connectionId}/dbt
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/connections/{connectionId}/dbt:
    get:
      tags:
        - dbt
      summary: Get dbt configuration
      description: |
        <Note>
          **Connection Admin** permissions are required to use this endpoint.
        </Note>

        Retrieves the dbt configuration for the specified connection.
      operationId: getDbtConfiguration
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: ID of the connection where dbt is configured
            example: 550e8400-e29b-41d4-a716-446655440000
      responses:
        '200':
          description: dbt configuration successfully retrieved
          content:
            application/json:
              schema:
                type: object
                required:
                  - autogenRelationships
                  - branch
                  - dbtVersion
                  - enableSemanticLayer
                  - enableVirtualSchemas
                  - projectRootPath
                  - sshUrl
                  - supportsDbt
                properties:
                  autogenRelationships:
                    type: boolean
                    description: Whether relationships are auto-generated from dbt
                    example: true
                  branch:
                    type: string
                    description: Git branch name
                    example: main
                  dbtVersion:
                    type: string
                    description: dbt version being used
                    example: Auto
                  enableSemanticLayer:
                    type: boolean
                    description: >-
                      Whether the [dbt semantic layer
                      integration](/integrations/dbt/semantic-layer) is enabled
                    example: false
                  enableVirtualSchemas:
                    type: boolean
                    description: Whether virtual schemas are enabled
                    example: false
                  projectRootPath:
                    type:
                      - string
                      - 'null'
                    description: Path to dbt project root
                    example: dbt_project
                  sshUrl:
                    type: string
                    description: SSH URL for git repository
                    example: git@github.com:org/repo.git
                  supportsDbt:
                    type: boolean
                    description: |
                      Whether the connection dialect supports dbt.
                    example: true
                  message:
                    type: string
                    description: >-
                      Message explaining dbt status. Returned if dbt is not
                      configured.
                    example: dbt not configured for this connection
              examples:
                dbtConfigured:
                  summary: dbt is configured
                  value:
                    autogenRelationships: true
                    branch: main
                    dbtVersion: Auto
                    enableSemanticLayer: false
                    enableVirtualSchemas: false
                    projectRootPath: dbt_project
                    sshUrl: git@github.com:org/repo.git
                    supportsDbt: true
                dbtNotConfigured:
                  summary: dbt is not configured
                  value:
                    supportsDbt: true
                    message: dbt not configured for this connection
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission denied - connection admin role required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Connection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````